Debian Bug report logs - #651014
mpg123: Please add multiarch support

version graph

Package: src:mpg123; Maintainer for src:mpg123 is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Vagrant Cascadian <vagrant@debian.org>

Date: Mon, 5 Dec 2011 00:51:01 UTC

Severity: wishlist

Tags: patch

Found in version mpg123/1.12.1-3.2

Fixed in version mpg123/1.13.7-1

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#651014; Package src:mpg123. (Mon, 05 Dec 2011 00:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Kobras <kobras@debian.org>. (Mon, 05 Dec 2011 00:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mpg123: Please add multiarch support
Date: Sun, 4 Dec 2011 16:50:24 -0800
Source: mpg123
Version: 1.12.1-3.2
Severity: wishlist
Tags: patch

The following patch should add support for multiarch.

thanks!

live well,
  vagrant


diff -u mpg123-1.12.1/debian/libmpg123-dev.install mpg123-1.12.1/debian/libmpg123-dev.install
--- mpg123-1.12.1/debian/libmpg123-dev.install
+++ mpg123-1.12.1/debian/libmpg123-dev.install
@@ -1,4 +1,4 @@
-debian/tmp/usr/lib/pkgconfig/libmpg123.pc
+debian/tmp/usr/lib/*/pkgconfig/libmpg123.pc
 debian/tmp/usr/include/*.h
-debian/tmp/usr/lib/*.a
-debian/tmp/usr/lib/*.so
+debian/tmp/usr/lib/*/*.a
+debian/tmp/usr/lib/*/*.so
diff -u mpg123-1.12.1/debian/rules mpg123-1.12.1/debian/rules
--- mpg123-1.12.1/debian/rules
+++ mpg123-1.12.1/debian/rules
@@ -5,6 +5,7 @@
 ARCH:=$(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 OS:=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 CPU:=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 WRAPPER_TARGETS:=mpg123-oss mpg123-esd mpg123-nas
 
@@ -16,7 +17,7 @@
 WRAPPER_TARGETS += mpg123-alsa
 endif
 
-CONF_COMMON:=--prefix=/usr --enable-static --enable-shared --disable-ltdl-install
+CONF_COMMON:=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --enable-static --enable-shared --disable-ltdl-install
 
 CONF_i486:=--with-cpu=x86_dither
 CONF_arm:=--with-cpu=generic_nofpu
@@ -178,12 +179,12 @@
 	dh_fixperms $(ALL_PKGSTR) $(DUMMY_PKGSTR)
 	dh_makeshlibs $(LIB_PKGSTR) -V "$(LIB_PKG) (>= 1.7.2)"
 	dh_installdeb $(ALL_PKGSTR)
-	dh_shlibdeps $(ALL_PKGSTR) -Xdebian/mpg123/usr/lib/mpg123/ -- \
-		-dSuggests `find debian/mpg123/usr/lib/mpg123/ -name "output_*.so" -type f` -dDepends
+	dh_shlibdeps $(ALL_PKGSTR) -Xdebian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123/ -- \
+		-dSuggests `find debian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123/ -name "output_*.so" -type f` -dDepends
 	for n in alsa dummy esd nas oss; do \
-		i="debian/mpg123/usr/lib/mpg123/output_$$n.so"; \
+		i="debian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123/output_$$n.so"; \
 		test -e "$$i" || continue; \
-		dh_shlibdeps $(ARCH_PKGSTR) $(DUMMY_PKGSTR) -Xdebian/mpg123/usr/lib/mpg123 debian/mpg123 -- -p"$$n"plugin -dRecommends "$$i" -dDepends; \
+		dh_shlibdeps $(ARCH_PKGSTR) $(DUMMY_PKGSTR) -Xdebian/mpg123/usr/lib/$(DEB_HOST_MULTIARCH)/mpg123 debian/mpg123 -- -p"$$n"plugin -dRecommends "$$i" -dDepends; \
 	done
 	chmod +x "$(CURDIR)/debian/alt_deps.py"
 	"$(CURDIR)/debian/alt_deps.py" "$(CURDIR)/debian/mpg123.substvars" \
diff -u mpg123-1.12.1/debian/libmpg123-0.install mpg123-1.12.1/debian/libmpg123-0.install
--- mpg123-1.12.1/debian/libmpg123-0.install
+++ mpg123-1.12.1/debian/libmpg123-0.install
@@ -1 +1 @@
-debian/tmp/usr/lib/libmpg123.so.0*
+debian/tmp/usr/lib/*/libmpg123.so.0*
diff -u mpg123-1.12.1/debian/mpg123.install mpg123-1.12.1/debian/mpg123.install
--- mpg123-1.12.1/debian/mpg123.install
+++ mpg123-1.12.1/debian/mpg123.install
@@ -2,4 +2,4 @@
 debian/tmp/usr/share/man/*/*
-debian/tmp/usr/lib/mpg123/*.la
-debian/tmp/usr/lib/mpg123/*.so
+debian/tmp/usr/lib/*/mpg123/*.la
+debian/tmp/usr/lib/*/mpg123/*.so
 
diff -u mpg123-1.12.1/debian/control mpg123-1.12.1/debian/control
--- mpg123-1.12.1/debian/control
+++ mpg123-1.12.1/debian/control
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Daniel Kobras <kobras@debian.org>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>> 5), autotools-dev, autoconf, automake, pkg-config, libltdl-dev, libesd0-dev, libaudio-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev, libpulse-dev [!hurd-i386], python-minimal
+Build-Depends: debhelper (>= 8.1.3~), autotools-dev, autoconf, automake, pkg-config, libltdl-dev, libesd0-dev, libaudio-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libjack-dev, libpulse-dev [!hurd-i386], python-minimal
 
 Package: mpg123
 Architecture: any
@@ -27,7 +27,9 @@
 
 Package: libmpg123-0
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: MPEG layer 1/2/3 audio decoder -- runtime library
  Mpg123 is a fast and portable MPEG audio decoder for Unix.  It supports




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#651014; Package src:mpg123. (Mon, 05 Dec 2011 01:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Kobras <kobras@debian.org>. (Mon, 05 Dec 2011 01:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 651014@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Vagrant Cascadian <vagrant@debian.org>, 651014@bugs.debian.org
Subject: Re: Bug#651014: mpg123: Please add multiarch support
Date: Mon, 5 Dec 2011 02:04:40 +0100
(I'm not the maintainer of this package.)

* Vagrant Cascadian <vagrant@debian.org>, 2011-12-04, 16:50:
>The following patch should add support for multiarch.

I believe that the -dev package could me marked as "Multi-Arch: same", 
too.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#651014; Package src:mpg123. (Tue, 06 Dec 2011 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Daniel Kobras <kobras@debian.org>. (Tue, 06 Dec 2011 20:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 651014@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: 651014@bugs.debian.org
Cc: 651014-submitter@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: mpg123: Please add multiarch support
Date: Tue, 6 Dec 2011 12:32:29 -0800
[Message part 1 (text/plain, inline)]
Hi there,

> I believe that the -dev package could be marked as "Multi-Arch: same",
> too.

I concur; I'm uploading mpg123 to Ubuntu precise with both the lib and -dev
package marked Multi-Arch: same.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Message sent on to Vagrant Cascadian <vagrant@debian.org>:
Bug#651014. (Tue, 06 Dec 2011 20:36:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Tue, 27 Mar 2012 10:34:11 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Wed, 28 Mar 2012 09:42:41 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant@debian.org>:
Bug acknowledged by developer. (Wed, 28 Mar 2012 09:42:56 GMT) Full text and rfc822 format available.

Message #25 received at 651014-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 651014-close@bugs.debian.org
Subject: Bug#651014: fixed in mpg123 1.13.7-1
Date: Wed, 28 Mar 2012 09:37:42 +0000
Source: mpg123
Source-Version: 1.13.7-1

We believe that the bug you reported is fixed in the latest version of
mpg123, which is due to be installed in the Debian FTP archive:

libmpg123-0_1.13.7-1_amd64.deb
  to main/m/mpg123/libmpg123-0_1.13.7-1_amd64.deb
libmpg123-dev_1.13.7-1_amd64.deb
  to main/m/mpg123/libmpg123-dev_1.13.7-1_amd64.deb
mpg123_1.13.7-1.debian.tar.gz
  to main/m/mpg123/mpg123_1.13.7-1.debian.tar.gz
mpg123_1.13.7-1.dsc
  to main/m/mpg123/mpg123_1.13.7-1.dsc
mpg123_1.13.7-1_amd64.deb
  to main/m/mpg123/mpg123_1.13.7-1_amd64.deb
mpg123_1.13.7.orig.tar.bz2
  to main/m/mpg123/mpg123_1.13.7.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651014@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated mpg123 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 28 Mar 2012 10:00:21 +0200
Source: mpg123
Binary: mpg123 libmpg123-0 libmpg123-dev
Architecture: source amd64
Version: 1.13.7-1
Distribution: experimental
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 libmpg123-0 - MPEG layer 1/2/3 audio decoder -- runtime library
 libmpg123-dev - MPEG layer 1/2/3 audio decoder -- development files
 mpg123     - MPEG layer 1/2/3 audio player
Closes: 631642 634766 644851 646390 651014
Changes: 
 mpg123 (1.13.7-1) experimental; urgency=low
 .
   * New maintainer (see bug#644851 comment#28).
     - Thanks to Daniel Kobras <kobras@debian.org> for the great work!
   * ACK NMUs. (Closes: #631642)
   * New upstream release. (Closes: #644851)
   * Switch to 3.0 (quilt) format.
   * Switch to DH 7 short-form.
   * Use dh_autoreconf.
   * Use dpkg-buildflags to get hardening flags.
   * Add patch to avoid failure when built with hardened flags.
   * Build with --as-needed.
   * Convert to Multi-Arch. (Closes: #651014)
   * Drop the esd output plugin. (Closes: #646390)
   * Remove all *.la files.
   * Replace hardcoded list of non-Linux architectures with
     linux-any. (Closes: #634766)
   * Remove dummy packages:
     - mpg123-oss-3dnow
     - mpg123-oss-i486
     - alsa dummy
     - nas dummy
   * debian/*.{postinst,preinst,prerm}
     - Use set -e in the body of the script rather than passing -s to
       the shell.
   * Remove unnecessary NEWS file.
   * Add gbp.conf file.
   * Add watch file.
   * Add Homepage field.
   * Bump Standards-Version.
Checksums-Sha1: 
 dfbb347a1291066a5a309a3f3a243d5f030e8655 2189 mpg123_1.13.7-1.dsc
 33b71c932b87004f3c8fed527b1f9a4b5f4337b2 765748 mpg123_1.13.7.orig.tar.bz2
 661bbb7c0dc3082ab1868538e26aa39a2851179d 18780 mpg123_1.13.7-1.debian.tar.gz
 0e213a8d230a1b1abc1608bbd28d858b9cc8a7e0 146766 mpg123_1.13.7-1_amd64.deb
 1d1f1b50605273a366ce06a88d95c2d1b13a10df 149538 libmpg123-0_1.13.7-1_amd64.deb
 904bc639a79add95b8b7113c1ec7af86b08bb4a3 193032 libmpg123-dev_1.13.7-1_amd64.deb
Checksums-Sha256: 
 8eca55ee466ad35ad15f079367402c592c3ec2cb6ca9a34ae70b913d0c8ec473 2189 mpg123_1.13.7-1.dsc
 83e6ee82c665285542d5c12f94d77777612f527526efeccb64f54f825a6ab332 765748 mpg123_1.13.7.orig.tar.bz2
 93ae610e12e7f53f974fff4e81928d9181fbcaec142f9135e07e8d54a9feed57 18780 mpg123_1.13.7-1.debian.tar.gz
 b2c90f7e1d9d6fe8f6c9b1c8e3207275ff385f7f76424290146fb9383d340499 146766 mpg123_1.13.7-1_amd64.deb
 1f9dcc1c3fe12362948c3fba1d6d93c13c2e83c022566d87f894fe73c458fb3a 149538 libmpg123-0_1.13.7-1_amd64.deb
 7dd065ba74b282b8d94be1d5e2f2a5f1da6fb6a1f5f99ff1d56b38e0236dcb45 193032 libmpg123-dev_1.13.7-1_amd64.deb
Files: 
 df343e2c38c1858d45b033b8c64d5dda 2189 sound optional mpg123_1.13.7-1.dsc
 65a41769832e14d6dfab1809fb4a17bb 765748 sound optional mpg123_1.13.7.orig.tar.bz2
 b2a0af3c861316471416866edce91c58 18780 sound optional mpg123_1.13.7-1.debian.tar.gz
 80b007e5cb63e2226a11fdb98981ae48 146766 sound optional mpg123_1.13.7-1_amd64.deb
 836d3f993dbc645907599c44f187cd70 149538 libs optional libmpg123-0_1.13.7-1_amd64.deb
 a4cf34ecf0c7f591f9ded6dc68b76d28 193032 libdevel optional libmpg123-dev_1.13.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPcsZbAAoJEOikiuUxHXZaqXIP/0V05PSzQjJUj/GgEsoQQu0n
vbStdrjavaROh2Pkhx9ApL+sG1glgAwFXJt6pYdVTNFOkrvvobOGe5Y6jxaFeiTm
YWCu3FbG+SH6KERyH/4RM3COyp4Oth8CNhn+4gexlCWMYVASbaxkTpYu65PUU5Be
Dhug9FT2IXICVyu5WP826ldRkA8bNXsjffFPz7Wi36y+GmoOoBQjkvZnnk/CiSNl
U0c9W4RblV+v966W5/itF14JwTJRG0U6eGj6/je5ZhjB5umSKnwa8IspgXLk8IJi
JneG0Xg7MXwJosS1Bxj0Otl8S0nCYG3CuVBbXaE9iVMjWqPGwpE1rHOPOpUfVyq/
b0oL3fFMt/meByf9MDweaQP3en1wZnAqo/ccn7rauekC24xhJjVLf1lnD8zBwVik
MzbRb8Zm/d+rtlXE0SxBzmH2Ce42OE76S/XyMvtU2DGD+NFkkgDS5WO558TxWF09
cM9VkzLJ50af1jTh+T6EboCv3jl2g88EPiJw5WmsUx6yrxdIvfnSujP4LXCpbCfs
WS1sPNFxHwaflsGw6i7QlgxFYamT25BRpx182MbYgAtIAJ+L3Q5IWuFBOCGRpQb8
AhlR97TmT/5wHzjh4v+8zmxxiSoiAajFwm9lqVOgr9U7BZKA3TFEuXtYHld5f8Sb
c5dIKtzasExC0WGMFJ6a
=Ow5R
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jun 2012 07:34:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:14:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.